Package org.fife.print

## Class RPrintUtilities

- java.lang.Object
- - org.fife.print.RPrintUtilities

-     public abstract class RPrintUtilities
      extends Object

  A collection of static methods useful for printing text from Swing text components.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RPrintUtilities()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `printDocumentMonospaced​(Graphics g, Document doc, int fontSize, int pageIndex, PageFormat pageFormat, int tabSize)` | Prints a `Document` using a monospaced font, and does no word wrapping (ie, words will wrap mid-word to the next line).
    `static int` | `printDocumentMonospacedWordWrap​(Graphics g, Document doc, int fontSize, int pageIndex, PageFormat pageFormat, int tabSize)` | Prints a `Document` using a monospaced font, word wrapping on the characters ' ', '\t', '\n', ',', '.', and ';'.
    `static int` | `printDocumentWordWrap​(Graphics g, JTextComponent textComponent, Font font, int pageIndex, PageFormat pageFormat, int tabSize)` | Prints a `Document` using the specified font, word wrapping on the characters ' ', '\t', '\n', ',', '.', and ';'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RPrintUtilities

          public RPrintUtilities()

  - ### Method Detail

    - #### printDocumentMonospaced

          public static int printDocumentMonospaced​(Graphics g,
                                                    Document doc,
                                                    int fontSize,
                                                    int pageIndex,
                                                    PageFormat pageFormat,
                                                    int tabSize)

      Prints a `Document` using a monospaced font, and does no word wrapping (ie, words will wrap mid-word to the next line). This method is expected to be called from Printable 'print(Graphics g)' functions.
      Parameters:
        `g` - The graphics context to write to.
        `doc` - The `javax.swing.text.Document` to print.
        `fontSize` - the point size to use for the monospaced font.
        `pageIndex` - The page number to print.
        `pageFormat` - The format to print the page with.
        `tabSize` - The number of spaces to expand tabs to.
      See Also:
        `printDocumentMonospacedWordWrap(java.awt.Graphics, javax.swing.text.Document, int, int, java.awt.print.PageFormat, int)`

    - #### printDocumentMonospacedWordWrap

          public static int printDocumentMonospacedWordWrap​(Graphics g,
                                                            Document doc,
                                                            int fontSize,
                                                            int pageIndex,
                                                            PageFormat pageFormat,
                                                            int tabSize)

      Prints a `Document` using a monospaced font, word wrapping on the characters ' ', '\t', '\n', ',', '.', and ';'. This method is expected to be called from Printable 'print(Graphics g)' functions.
      Parameters:
        `g` - The graphics context to write to.
        `doc` - The `javax.swing.text.Document` to print.
        `fontSize` - the point size to use for the monospaced font.
        `pageIndex` - The page number to print.
        `pageFormat` - The format to print the page with.
        `tabSize` - The number of spaces to expand tabs to.
      See Also:
        `printDocumentMonospaced(java.awt.Graphics, javax.swing.text.Document, int, int, java.awt.print.PageFormat, int)`

    - #### printDocumentWordWrap

          public static int printDocumentWordWrap​(Graphics g,
                                                  JTextComponent textComponent,
                                                  Font font,
                                                  int pageIndex,
                                                  PageFormat pageFormat,
                                                  int tabSize)

      Prints a `Document` using the specified font, word wrapping on the characters ' ', '\t', '\n', ',', '.', and ';'. This method is expected to be called from Printable 'print(Graphics g)' functions.
      Parameters:
        `g` - The graphics context to write to.
        `textComponent` - The `javax.swing.text.JTextComponent` whose text you're printing.
        `font` - The font to use for printing. If `null`, then `textComponent`'s font is used.
        `pageIndex` - The page number to print.
        `pageFormat` - The format to print the page with.
        `tabSize` - The number of spaces to convert tabs to.